Debian Bug report logs - #391952
nexuiz: Nexuiz always segfaults

version graph

Package: libgl1-mesa-dri; Maintainer for libgl1-mesa-dri is Debian X Strike Force <debian-x@lists.debian.org>; Source for libgl1-mesa-dri is src:mesa.

Reported by: Armin Berres <trigger+debian@space-based.de>

Date: Mon, 9 Oct 2006 15:03:22 UTC

Severity: important

Tags: fixed-upstream

Fixed in version 6.5.3-1

Done: Brice Goglin <Brice.Goglin@ens-lyon.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=9170

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, trigger+debian@space-based.de, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#391952; Package nexuiz. Full text and rfc822 format available.

Acknowledgement sent to Armin Berres <trigger+debian@space-based.de>:
New Bug report received and forwarded. Copy sent to trigger+debian@space-based.de, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Armin Berres <trigger+debian@space-based.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nexuiz: Nexuiz always segfaults
Date: Mon, 09 Oct 2006 16:51:27 +0200
Package: nexuiz
Version: 2.0-3
Severity: important

I tried Nexuiz today for the first time, but it is not really usable.
I get always segfaults after some seconds. Sometimes in the menu and
always in the campain.

The message I get isn't really usefull. It always looks like this:
/usr/games/nexuiz: line 31:  6752 Segmentation fault      ./nexuiz-sdl

Anything I can do to make Nexuiz a bit more verbose?

I try to play the game with an Ati 9700 Mobile with the r300 Xorg
driver.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages nexuiz depends on:
ii  libc6               2.3.6.ds1-5          GNU C Library: Shared libraries
ii  libcurl3            7.15.5-1             Multi-protocol file transfer libra
ii  libsdl1.2debian     1.2.11-3             Simple DirectMedia Layer
ii  libvorbisfile3      1.1.2-1              The Vorbis General Audio Compressi
ii  nexuiz-data         2.0-hotfix20060616-1 Nexuiz game data files

Versions of packages nexuiz recommends:
pn  nexuiz-music                  <none>     (no description available)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#391952; Package nexuiz. Full text and rfc822 format available.

Acknowledgement sent to Heretik <heretik@tuxfamily.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 391952@bugs.debian.org (full text, mbox):

From: Heretik <heretik@tuxfamily.org>
To: Armin Berres <trigger+debian@space-based.de>, 391952@bugs.debian.org
Subject: Re: Bug#391952: nexuiz: Nexuiz always segfaults
Date: Mon, 09 Oct 2006 17:25:22 +0200
I haven't done that for some time, but just running it with valgrind
should give you some more information.

$ valgrind nexuiz

Armin Berres a écrit :
> Package: nexuiz
> Version: 2.0-3
> Severity: important
> 
> I tried Nexuiz today for the first time, but it is not really usable.
> I get always segfaults after some seconds. Sometimes in the menu and
> always in the campain.
> 
> The message I get isn't really usefull. It always looks like this:
> /usr/games/nexuiz: line 31:  6752 Segmentation fault      ./nexuiz-sdl
> 
> Anything I can do to make Nexuiz a bit more verbose?
> 
> I try to play the game with an Ati 9700 Mobile with the r300 Xorg
> driver.
> 
> 
> -- System Information:
> Debian Release: testing/unstable
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.18-1-686
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> 
> Versions of packages nexuiz depends on:
> ii  libc6               2.3.6.ds1-5          GNU C Library: Shared libraries
> ii  libcurl3            7.15.5-1             Multi-protocol file transfer libra
> ii  libsdl1.2debian     1.2.11-3             Simple DirectMedia Layer
> ii  libvorbisfile3      1.1.2-1              The Vorbis General Audio Compressi
> ii  nexuiz-data         2.0-hotfix20060616-1 Nexuiz game data files
> 
> Versions of packages nexuiz recommends:
> pn  nexuiz-music                  <none>     (no description available)
> 
> -- no debconf information
> 
> 
> _______________________________________________
> Pkg-games-devel mailing list
> Pkg-games-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-games-devel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#391952; Package nexuiz. Full text and rfc822 format available.

Acknowledgement sent to Armin Berres <trigger+debian@space-based.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 391952@bugs.debian.org (full text, mbox):

From: Armin Berres <trigger+debian@space-based.de>
To: Heretik <heretik@tuxfamily.org>
Cc: 391952@bugs.debian.org
Subject: Re: Bug#391952: nexuiz: Nexuiz always segfaults
Date: Mon, 09 Oct 2006 18:22:13 +0200
[Message part 1 (text/plain, inline)]
Heretik wrote:
> I haven't done that for some time, but just running it with valgrind
> should give you some more information.
> 
> $ valgrind nexuiz

Just for the record: It has to be
"cd /usr/lib/games/nexuiz && valgrind ./nexuiz-sdl" to bypass the 
wrapper script.

I don't think the log really helps, but the last lines of the valgrind 
log are attached.

I also tried to use gdb, but Nexuiz just freezes when the segfault 
appears and I have to kill the Xserver. Without debug symbols the 
backtrace wouldn't really help anyway.
[valgrind-nexuiz.log (text/x-log, inline)]
^7Server: Nexuiz build 12:39:37 Sep  4 2006 (progs 42255 crc)
^7
^7<===================================>
^7
^7^3Downer
^7CDAudio: Bad track number 0.
^7<-- server to client keepalive
^7<-- server to client keepalive
^7No CD in player.
^7^1autoswitch turned on
==7414==
==7414== Invalid read of size 4
==7414==    at 0x4C98BF3: r300EmitArrays (in /usr/lib/dri/r300_dri.so)
==7414==    by 0x4C8DB87: r300_run_vb_render (in /usr/lib/dri/r300_dri.so)
==7414==    by 0x4C82066: (within /usr/lib/dri/r300_dri.so)
==7414==    by 0x4C21FBC: glDrawRangeElements (in /usr/lib/libGL.so.1.2)
==7414==    by 0x8094111: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x809B8A6: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80A39EA: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80A40F6: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80A43E9: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80A6DB0: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x809AF54: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x809D9A1: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==  Address 0x10202138 is 0 bytes after a block of size 2,592 alloc'd
==7414==    at 0x40054A1: malloc (vg_replace_malloc.c:149)
==7414==    by 0x813CDFE: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80D05DA: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80E3446: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80E37D4: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x8121DE5: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x8131409: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x810795D: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80FFE49: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x8124B48: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80B04C1: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80B0B1A: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==
==7414== Conditional jump or move depends on uninitialised value(s)
==7414==    at 0x4C7FC30: radeon_mm_alloc (in /usr/lib/dri/r300_dri.so)
==7414==    by 0x4C83BE0: r300RefillCurrentDmaRegion (in /usr/lib/dri/r300_dri.s o)
==7414==    by 0x4C83ECA: r300AllocDmaRegion (in /usr/lib/dri/r300_dri.so)
==7414==    by 0x4C9855B: r300EmitArrays (in /usr/lib/dri/r300_dri.so)
==7414==    by 0x4C8DB87: r300_run_vb_render (in /usr/lib/dri/r300_dri.so)
==7414==    by 0x4C82066: (within /usr/lib/dri/r300_dri.so)
==7414==    by 0x4C21FBC: glDrawRangeElements (in /usr/lib/libGL.so.1.2)
==7414==    by 0x8094111: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x809B8A6: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80A39EA: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80A40F6: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80A43E9: (within /usr/lib/games/nexuiz/nexuiz-sdl)
^7You got the ^2Mortar
==7414==
==7414== Invalid read of size 4
==7414==    at 0x4C8BD2D: r300_setup_textures (in /usr/lib/dri/r300_dri.so)
==7414==    by 0x4C8CBF6: r300UpdateShaderStates (in /usr/lib/dri/r300_dri.so)
==7414==    by 0x4C81FF2: (within /usr/lib/dri/r300_dri.so)
==7414==    by 0x4C21FBC: glDrawRangeElements (in /usr/lib/libGL.so.1.2)
==7414==    by 0x8094111: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x809B8A6: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x81121FE: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x811396B: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x81152B3: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x80A5A74: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x81183CC: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==    by 0x8118DEB: (within /usr/lib/games/nexuiz/nexuiz-sdl)
==7414==  Address 0x5FC is not stack'd, malloc'd or (recently) free'd
==7414==
==7414== Syscall param ioctl(arg) contains uninitialised byte(s)
==7414==    at 0x4900D792: (within /lib/ld-2.3.6.so)
==7414==    by 0x49D3B111: snd_timer_stop (in /usr/lib/libasound.so.2.0.0)
==7414==    by 0x49D2BEFB: (within /usr/lib/libasound.so.2.0.0)
==7414==    by 0x49D2CB0A: (within /usr/lib/libasound.so.2.0.0)
==7414==    by 0x49CF5101: snd_pcm_drain (in /usr/lib/libasound.so.2.0.0)
==7414==    by 0x40503F9: (within /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x401EF55: SDL_AudioQuit (in /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x401E42B: SDL_QuitSubSystem (in /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x401E48D: SDL_Quit (in /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x401ECDC: (within /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x498C58B7: (within /lib/tls/i686/cmov/libc-2.3.6.so)
==7414==    by 0x4C8CBF6: r300UpdateShaderStates (in /usr/lib/dri/r300_dri.so)
==7414==
==7414== Syscall param ioctl(arg) contains uninitialised byte(s)
==7414==    at 0x4900D792: (within /lib/ld-2.3.6.so)
==7414==    by 0x49D3B111: snd_timer_stop (in /usr/lib/libasound.so.2.0.0)
==7414==    by 0x49D32587: snd_pcm_direct_timer_stop (in /usr/lib/libasound.so.2 .0.0)
==7414==    by 0x49D2BA73: (within /usr/lib/libasound.so.2.0.0)
==7414==    by 0x49CF51A1: snd_pcm_drop (in /usr/lib/libasound.so.2.0.0)
==7414==    by 0x49CFC6E4: snd_pcm_close (in /usr/lib/libasound.so.2.0.0)
==7414==    by 0x4050409: (within /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x401EF55: SDL_AudioQuit (in /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x401E42B: SDL_QuitSubSystem (in /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x401E48D: SDL_Quit (in /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x401ECDC: (within /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x498C58B7: (within /lib/tls/i686/cmov/libc-2.3.6.so)
==7414==
==7414== Conditional jump or move depends on uninitialised value(s)
==7414==    at 0x4C82D28: r300DestroyContext (in /usr/lib/dri/r300_dri.so)
==7414==    by 0x4C790B7: (within /usr/lib/dri/r300_dri.so)
==7414==    by 0x4C75336: (within /usr/lib/dri/r300_dri.so)
==7414==    by 0x4BF4BD2: (within /usr/lib/libGL.so.1.2)
==7414==    by 0x4055DE1: (within /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x405A5A6: (within /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x405A7C2: (within /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x404A3ED: SDL_VideoQuit (in /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x401E414: SDL_QuitSubSystem (in /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x401E48D: SDL_Quit (in /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x401ECDC: (within /usr/lib/libSDL-1.2.so.0.11.0)
==7414==    by 0x498C58B7: (within /lib/tls/i686/cmov/libc-2.3.6.so)
==7414==
==7414== ERROR SUMMARY: 5917 errors from 62 contexts (suppressed: 25 from 1)
==7414== malloc/free: in use at exit: 134,589,748 bytes in 32,261 blocks.
==7414== malloc/free: 314,321 allocs, 282,060 frees, 1,467,472,153 bytes allocat ed.
==7414== For counts of detected errors, rerun with: -v
==7414== searching for pointers to 32,261 not-freed blocks.
==7414== checked 188,986,012 bytes.
==7414==
==7414== LEAK SUMMARY:
==7414==    definitely lost: 26,123 bytes in 141 blocks.
==7414==      possibly lost: 126,922 bytes in 811 blocks.
==7414==    still reachable: 134,436,703 bytes in 31,309 blocks.
==7414==         suppressed: 0 bytes in 0 blocks.
==7414== Use --leak-check=full to see details of leaked memory.
Segmentation fault

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#391952; Package nexuiz. Full text and rfc822 format available.

Acknowledgement sent to Bruno Kleinert <fuddl@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 391952@bugs.debian.org (full text, mbox):

From: Bruno Kleinert <fuddl@gmx.de>
To: 391952@bugs.debian.org
Cc: Armin Berres <trigger+debian@space-based.de>, pkg-games-devel@lists.alioth.debian.org
Subject: Re: Bug#391952: nexuiz: Nexuiz always segfaults
Date: Tue, 10 Oct 2006 00:45:04 +0200
[Message part 1 (text/plain, inline)]
hi armin,

there's a chance, this segfault is not a bug in nexuiz, but even in
your graphics driver. ("strange" behaviour in nexuiz is often caused by
buggy graphics drivers)

in the backtrace i noticed that you're running the r300 driver for your
video card. is it possible for you, and is your graphics board
compatible to ati's closed source driver 'fglrx'? if so, you should
give the fglrx driver a chance, perhaps you'll be more lucky.

if it's not possible for you, but maybe you've got an nvidia card
around you could give the nvidia card with nvidia's closed source
driver a try.

if you can make nexuiz run stable with one of the above suggestions,
it's very likely, that the r300 driver is buggy.

if none of the above suggestions aren't managable for you, we'll have
to go deeper into debugging ;)

cheers, fuddl


-- 
Among elephants it's not considered cool nor in any good taste
to drain other elephants


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#391952; Package nexuiz. Full text and rfc822 format available.

Acknowledgement sent to Armin Berres <trigger+debian@space-based.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 391952@bugs.debian.org (full text, mbox):

From: Armin Berres <trigger+debian@space-based.de>
To: Bruno Kleinert <fuddl@gmx.de>
Cc: 391952@bugs.debian.org, pkg-games-devel@lists.alioth.debian.org
Subject: Re: Bug#391952: nexuiz: Nexuiz always segfaults
Date: Tue, 10 Oct 2006 12:39:15 +0200
Bruno Kleinert wrote:
> hi armin,
> 
> there's a chance, this segfault is not a bug in nexuiz, but even in
> your graphics driver. ("strange" behaviour in nexuiz is often caused by
> buggy graphics drivers)
> 
> in the backtrace i noticed that you're running the r300 driver for your
> video card. is it possible for you, and is your graphics board
> compatible to ati's closed source driver 'fglrx'? if so, you should
> give the fglrx driver a chance, perhaps you'll be more lucky.

Yes, it is possible.
Gimme some time, I'm quite busy ATM and I remember the fglrx driver is 
(was?) a bit bitchy sometimes.

> if it's not possible for you, but maybe you've got an nvidia card
> around you could give the nvidia card with nvidia's closed source
> driver a try.

It's a notebook :-(

I'll report as soon as I know something new.

/Armin



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#391952; Package nexuiz. Full text and rfc822 format available.

Acknowledgement sent to "Goneri Le Bouder" <goneri@rulezlan.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 391952@bugs.debian.org (full text, mbox):

From: "Goneri Le Bouder" <goneri@rulezlan.org>
To: 391952@bugs.debian.org
Cc: "Armin Berres" <trigger+debian@space-based.de>
Subject: Re: Bug#391952: nexuiz: Nexuiz always segfaults
Date: 10 Oct 2006 09:31:55 -0000
Le 10/10/2006, "Bruno Kleinert" <fuddl@gmx.de> a écrit:

>hi armin,
>
>there's a chance, this segfault is not a bug in nexuiz, but even in
>your graphics driver. ("strange" behaviour in nexuiz is often caused by
>buggy graphics drivers)
I got the same issue with Quake3 and a bad graphic card CPU fan.

Regards,

       Gonéri



Bug reassigned from package `nexuiz' to `libgl1-mesa-dri'. Request was from Bruno Kleinert <fuddl@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mesa package maintainers <pkg-mesa-devel@lists.alioth.debian.org>:
Bug#391952; Package libgl1-mesa-dri. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Köbler <wolfgang@koebler.com>:
Extra info received and forwarded to list. Copy sent to Mesa package maintainers <pkg-mesa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #37 received at 391952@bugs.debian.org (full text, mbox):

From: Wolfgang Köbler <wolfgang@koebler.com>
To: 391952@bugs.debian.org
Subject: The r300 driver causes a SIGSEV while running nexuiz.
Date: Sun, 26 Nov 2006 16:22:22 +0100
Hi,

I also can reproduce this bug.

The r300 driver causes a SIGSEV while running nexuiz.
This bug is 100% reproduceable by shooting the weapon Mortar
(just before the explosion).

I discovered that this problem is in libgl1-mesa-dri by running
nexuiz-sdl in gdb and getting a backtrace after the crash.
Find the log below.

Then, due to https://bugs.freedesktop.org/show_bug.cgi?id=8348 , 
I upgraded mesa (incl. dri) to current cvs
(similar to http://dri.freedesktop.org/wiki/Building).

This shows the same effect, except that it tells us that the bug is 
in r300_state.c:1240 . Find the log below.

The contents of Mesa/src/mesa/drivers/dri/r300/r300_state.c are:
> 1238	t=r300->state.texture.unit[i].texobj;
> 1239
> 1240	if((t->format & 0xffffff00)==0xffffff00) {
> 1241		WARN_ONCE("unknown texture format (entry %x)
> encountered. Help me !\n", t->format & 0xff); 1242	}
Maybe t is assigned a NULL pointer ? Then accessing t->format would
segfault. Is mtu wrong ?
However, you can probably interpret this better than me.

Bye,
Wolfgang

---------------------------------------------------------------------
0. Software Info
---------------------------------------------------------------------
libgl1-mesa-dri		6.5.1-0.4
libgl1-mesa-glx		6.5.1-0.4
libglu1-mesa		6.5.1-0.4
mesa-utils		6.3.2-2.1
nexuiz			2.0-3
nexuiz-data		2.0-hotfix20060616-1

---------------------------------------------------------------------
1. Hardware info
---------------------------------------------------------------------
my graphics card is (partial lspci output):
06:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B60
[Radeon X300 (PCIE)] 06:00.1 Display controller: ATI Technologies Inc
RV370 [Radeon X300SE]

---------------------------------------------------------------------
2. nexuiz log using libgl1-mesa-dri:
---------------------------------------------------------------------

GNU gdb 6.4.90-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are welcome to change it and/or distribute copies of it under
certain conditions. Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details. This GDB was configured as "i486-linux-gnu"...(no debugging
symbols found) Using host libthread_db library
"/lib/tls/libthread_db.so.1".

(gdb) Starting program: /usr/lib/games/nexuiz/nexuiz-sdl 
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
^7Nexuiz Linux 12:39:37 Sep  4 2006
[Thread debugging using libthread_db enabled]
[New Thread -1480988096 (LWP 10445)]
(no debugging symbols found)
^7Trying to load library... "libz.so.1" - loaded.
^7Compressed files support enabled
^7Added packfile data/data20060614.pk3 (2849 files)
^7Added packfile data/data20060616_hotfix.pk3 (3 files)
^7Console initialized.
^7Playing registered version.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
^7Trying to load library... "libcurl.so.3" - loaded.
^7cURL support enabled
^7Initializing client
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
^7Trying to load library... "libvorbis.so.0" - loaded.
(no debugging symbols found)
^7Trying to load library... "libvorbisfile.so.3" - loaded.
^7Ogg Vorbis support enabled
^7couldn't exec autoexec.cfg
^7Starting video system
^7Video: fullscreen 800x600x32x60hz
^7Linked against SDL version 1.2.11
^7Using SDL library version 1.2.11
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
^7checking for OpenGL 1.1.0...  enabled
^7GL_VENDOR: Tungsten Graphics, Inc.
^7GL_RENDERER: Mesa DRI R300 20060815 TCL
^7GL_VERSION: 1.3 Mesa 6.5.1
^7GL_EXTENSIONS: GL_ARB_fragment_program GL_ARB_imaging
GL_ARB_multisample GL_ARB_multitexture GL_ARB_texture_border_clamp
GL_ARB_texture_compression GL_ARB_texture_cube_map
GL_ARB_texture_env_add GL_ARB_texture_env_combine
GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3
GL_MESAX_texture_float GL_ARB_texture_mirrored_repeat
GL_ARB_texture_rectangle GL_ARB_transpose_matrix
GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_window_pos
GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color
GL_EXT_blend_equation_separate GL_EXT_blend_func_separate
GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_clip_volume_hint
GL_EXT_compiled_vertex_array GL_EXT_convolution GL_EXT_copy_texture
GL_EXT_draw_range_elements GL_EXT_gpu_program_parameters
GL_EXT_histogram GL_EXT_packed_pixels GL_EXT_polygon_offset
GL_EXT_rescale_normal GL_EXT_secondary_color
GL_EXT_separate_specular_color GL_EXT_stencil_wrap GL_EXT_subtexture
GL_EXT_texture GL_EXT_texture3D GL_EXT_texture_edge_clamp
GL_EXT_texture_env_add GL_EXT_texture_env_combine
GL_EXT_texture_env_dot3 GL_EXT_texture_filter_anisotropic
GL_EXT_texture_lod_bias GL_EXT_texture_mirror_clamp
GL_EXT_texture_object GL_EXT_texture_rectangle GL_EXT_vertex_array
GL_APPLE_packed_pixels GL_ATI_blend_equation_separate
GL_ATI_texture_env_combine3 GL_ATI_texture_mirror_once
GL_IBM_rasterpos_clip GL_IBM_texture_mirrored_repeat
GL_INGR_blend_func_separate GL_MESA_pack_invert GL_MESA_ycbcr_texture
GL_MESA_window_pos GL_NV_blend_square GL_NV_light_max_exponent
GL_NV_texture_rectangle GL_NV_texgen_reflection GL_NV_vertex_program
GL_OES_read_format GL_SGI_color_matrix GL_SGI_color_table
GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp
GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod ^7SDL_EXTENSIONS:
^7Checking OpenGL extensions... ^7checking for glDrawRangeElements...
enabled ^7checking for GL_ARB_multitexture...  enabled ^7checking for
GL_ARB_texture_env_combine...  enabled ^7checking for
GL_ARB_texture_env_dot3...  enabled ^7checking for GL_EXT_texture3D...
enabled ^7checking for GL_ARB_texture_cube_map...  enabled ^7checking
for GL_EXT_compiled_vertex_array...  enabled ^7checking for
GL_EXT_texture_edge_clamp...  enabled ^7checking for
GL_EXT_texture_filter_anisotropic...  enabled ^7checking for
GL_EXT_stencil_two_side...  not detected ^7checking for
GL_ARB_shader_objects...  not detected ^7OpenGL Backend starting...
^7glDrawRangeElements detected (max vertices 3000, max indices 3000)
^7multitexture detected: texture units = 8 ^7OpenGL backend started.
(no debugging symbols found) ^7Trying to load library...
"libjpeg.so.62" - loaded. ^7JPEG support enabled (no debugging symbols
found) ^7Trying to load library... "libpng12.so.0" - loaded. ^7PNG
support enabled ^7Draw_CachePic: failed to load gfx/crosshair7
^7Draw_CachePic: failed to load gfx/crosshair8 ^7Draw_CachePic: failed
to load gfx/crosshair9 ^7Draw_CachePic: failed to load gfx/crosshair10
^7Draw_CachePic: failed to load gfx/crosshair11 ^7Draw_CachePic: failed
to load gfx/crosshair12 ^7Draw_CachePic: failed to load gfx/crosshair13
^7Draw_CachePic: failed to load gfx/crosshair14 ^7Draw_CachePic: failed
to load gfx/crosshair15 ^7Draw_CachePic: failed to load gfx/crosshair16
^7Draw_CachePic: failed to load gfx/crosshair17 ^7Draw_CachePic: failed
to load gfx/crosshair18 ^7Draw_CachePic: failed to load gfx/crosshair19
^7Draw_CachePic: failed to load gfx/crosshair20 ^7Draw_CachePic: failed
to load gfx/crosshair21 ^7Draw_CachePic: failed to load gfx/crosshair22
^7Draw_CachePic: failed to load gfx/crosshair23 ^7Draw_CachePic: failed
to load gfx/crosshair24 ^7Draw_CachePic: failed to load gfx/crosshair25
^7Draw_CachePic: failed to load gfx/crosshair26 ^7Draw_CachePic: failed
to load gfx/crosshair27 ^7Draw_CachePic: failed to load gfx/crosshair28
^7Draw_CachePic: failed to load gfx/crosshair29 ^7Draw_CachePic: failed
to load gfx/crosshair30 ^7Draw_CachePic: failed to load gfx/crosshair31
^7Draw_CachePic: failed to load gfx/crosshair32 ^7Draw_CachePic: failed
to load gfx/complete ^7Draw_CachePic: failed to load gfx/inter
^7Draw_CachePic: failed to load gfx/finale ^7SndSys_Init: using the SDL
module (no debugging symbols found) (no debugging symbols found) (no
debugging symbols found) ^7Sound format: 48000Hz, 2 channels, 16 bits
per sample ^7Found 0 cdrom drives. ^7CDAudio_Init: No CD in player.
^7Can't get initial CD volume ^7CD Audio Initialized ^7Draw_CachePic:
failed to load gfx/m_white ^7DrawQ_ResetClipArea: not in 2d rendering
stage! ^7No CD in player. ^7Client using port 0 ^7Client opened a
socket on address local:2 ^7Client opened a socket on address
0.0.0.0:32797 ^7scripts/common.shader parsing warning: unknown
surfaceparm "hint" ^7scripts/common.shader parsing warning: unknown
surfaceparm "dust" ^7scripts/common.shader parsing warning: unknown
surfaceparm "botclip" ^7scripts/common.shader parsing warning: unknown
surfaceparm "lightgrid" ^7maps/downer.bsp: could not load texture for
missing shader "noshader" ^7Server using port 26000 ^7Server listening
on address local:1 ^7Server listening on address 0.0.0.0:26000 ^7Loaded
maps/downer.ent ^7 ^7Trying to connect... ^7"challenge 3A[^4-+'IMy"
received, sending connect request back to local:1 ^7Got challenge
response ^7"challenge 3A[^4-+'IMy" received, sending connect request
back to local:1 ^7Got challenge response
^7Accepted
^7
^7Connection accepted to local:1
^7<-- server to client keepalive
^7
^7Server: Nexuiz build 12:39:37 Sep  4 2006 (progs 42255 crc)
^7
^7<===================================>
^7
^7^3Downer
^7CDAudio: Bad track number 0.
^7Player entered the game
^7No CD in player.
^7^1autoswitch turned on
^7^4Player^4 is playing now
^7You got the ^2Mortar
[New Thread -1639511120 (LWP 10450)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1480988096 (LWP 10445)]
0xa6e8bd2d in r300_setup_textures () from /usr/lib/dri/r300_dri.so
(gdb) #0  0xa6e8bd2d in r300_setup_textures ()
from /usr/lib/dri/r300_dri.so #1  0xa6e8cbf7 in r300UpdateShaderStates
() from /usr/lib/dri/r300_dri.so #2  0xa6e81ff3 in radeon_vb_to_rvb ()
from /usr/lib/dri/r300_dri.so #3  0xa70b2fbd in glDrawRangeElements ()
from /usr/lib/libGL.so.1 #4  0x08094112 in ?? ()
#5  0x00000004 in ?? ()
#6  0x00001a73 in ?? ()
#7  0x00001a77 in ?? ()
#8  0x00000006 in ?? ()
#9  0x00001405 in ?? ()
#10 0x9cbd7330 in ?? ()
#11 0x0000085f in ?? ()
#12 0xafddf54c in ?? ()
#13 0xa70abf19 in glLockArraysEXT () from /usr/lib/libGL.so.1
#14 0x0809b8a7 in ?? ()
#15 0x00001a73 in ?? ()
#16 0x00000004 in ?? ()
#17 0x00000002 in ?? ()
#18 0x9cbd7330 in ?? ()
#19 0x00000b7b in ?? ()
#20 0x00000864 in ?? ()
#21 0x00001a73 in ?? ()
#22 0xafddf59c in ?? ()
#23 0x00000b7b in ?? ()
#24 0x00000866 in ?? ()
#25 0x00000863 in ?? ()
#26 0xafddf5ac in ?? ()
#27 0x00000b7b in ?? ()
#28 0x00000863 in ?? ()
#29 0x00000864 in ?? ()
#30 0x00000000 in ?? ()
(gdb) 

---------------------------------------------------------------------
3. nexuiz log using mesa cvs:
---------------------------------------------------------------------
GNU gdb 6.4.90-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are welcome to change it and/or distribute copies of it under
certain conditions. Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details. This GDB was configured as "i486-linux-gnu"...(no debugging
symbols found) Using host libthread_db library
"/lib/tls/libthread_db.so.1".

(gdb) Starting program: /usr/lib/games/nexuiz/nexuiz-sdl 
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
^7Nexuiz Linux 12:39:37 Sep  4 2006
[Thread debugging using libthread_db enabled]
[New Thread -1480852928 (LWP 10678)]
(no debugging symbols found)
^7Trying to load library... "libz.so.1" - loaded.
^7Compressed files support enabled
^7Added packfile data/data20060614.pk3 (2849 files)
^7Added packfile data/data20060616_hotfix.pk3 (3 files)
^7Console initialized.
^7Playing registered version.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
^7Trying to load library... "libcurl.so.3" - loaded.
^7cURL support enabled
^7Initializing client
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
^7Trying to load library... "libvorbis.so.0" - loaded.
(no debugging symbols found)
^7Trying to load library... "libvorbisfile.so.3" - loaded.
^7Ogg Vorbis support enabled
^7couldn't exec autoexec.cfg
^7Starting video system
^7Video: fullscreen 800x600x32x60hz
^7Linked against SDL version 1.2.11
^7Using SDL library version 1.2.11
^7checking for OpenGL 1.1.0...  enabled
^7GL_VENDOR: Tungsten Graphics, Inc.
^7GL_RENDERER: Mesa DRI R300 20060815 TCL
^7GL_VERSION: 1.3 Mesa 6.5.2
^7GL_EXTENSIONS: GL_ARB_fragment_program GL_ARB_imaging
GL_ARB_multisample GL_ARB_multitexture GL_ARB_texture_border_clamp
GL_ARB_texture_compression GL_ARB_texture_cube_map
GL_ARB_texture_env_add GL_ARB_texture_env_combine
GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3
GL_MESAX_texture_float GL_ARB_texture_mirrored_repeat
GL_ARB_texture_rectangle GL_ARB_transpose_matrix
GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_window_pos
GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color
GL_EXT_blend_equation_separate GL_EXT_blend_func_separate
GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_clip_volume_hint
GL_EXT_compiled_vertex_array GL_EXT_convolution GL_EXT_copy_texture
GL_EXT_draw_range_elements GL_EXT_gpu_program_parameters
GL_EXT_histogram GL_EXT_packed_pixels GL_EXT_polygon_offset
GL_EXT_rescale_normal GL_EXT_secondary_color
GL_EXT_separate_specular_color GL_EXT_stencil_wrap GL_EXT_subtexture
GL_EXT_texture GL_EXT_texture3D GL_EXT_texture_edge_clamp
GL_EXT_texture_env_add GL_EXT_texture_env_combine
GL_EXT_texture_env_dot3 GL_EXT_texture_filter_anisotropic
GL_EXT_texture_lod_bias GL_EXT_texture_mirror_clamp
GL_EXT_texture_object GL_EXT_texture_rectangle GL_EXT_vertex_array
GL_APPLE_packed_pixels GL_ATI_blend_equation_separate
GL_ATI_texture_env_combine3 GL_ATI_texture_mirror_once
GL_IBM_rasterpos_clip GL_IBM_texture_mirrored_repeat
GL_INGR_blend_func_separate GL_MESA_pack_invert GL_MESA_ycbcr_texture
GL_MESA_window_pos GL_NV_blend_square GL_NV_light_max_exponent
GL_NV_texture_rectangle GL_NV_texgen_reflection GL_NV_vertex_program
GL_OES_read_format GL_SGI_color_matrix GL_SGI_color_table
GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp
GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod ^7SDL_EXTENSIONS:
^7Checking OpenGL extensions... ^7checking for glDrawRangeElements...
enabled ^7checking for GL_ARB_multitexture...  enabled ^7checking for
GL_ARB_texture_env_combine...  enabled ^7checking for
GL_ARB_texture_env_dot3...  enabled ^7checking for GL_EXT_texture3D...
enabled ^7checking for GL_ARB_texture_cube_map...  enabled ^7checking
for GL_EXT_compiled_vertex_array...  enabled ^7checking for
GL_EXT_texture_edge_clamp...  enabled ^7checking for
GL_EXT_texture_filter_anisotropic...  enabled ^7checking for
GL_EXT_stencil_two_side...  not detected ^7checking for
GL_ARB_shader_objects...  not detected ^7OpenGL Backend starting...
^7glDrawRangeElements detected (max vertices 3000, max indices 3000)
^7multitexture detected: texture units = 8 ^7OpenGL backend started.
^7Trying to load library... "libjpeg.so.62" - loaded. ^7JPEG support
enabled ^7Trying to load library... "libpng12.so.0" - loaded. ^7PNG
support enabled ^7Draw_CachePic: failed to load gfx/crosshair7
^7Draw_CachePic: failed to load gfx/crosshair8 ^7Draw_CachePic: failed
to load gfx/crosshair9 ^7Draw_CachePic: failed to load gfx/crosshair10
^7Draw_CachePic: failed to load gfx/crosshair11 ^7Draw_CachePic: failed
to load gfx/crosshair12 ^7Draw_CachePic: failed to load gfx/crosshair13
^7Draw_CachePic: failed to load gfx/crosshair14 ^7Draw_CachePic: failed
to load gfx/crosshair15 ^7Draw_CachePic: failed to load gfx/crosshair16
^7Draw_CachePic: failed to load gfx/crosshair17 ^7Draw_CachePic: failed
to load gfx/crosshair18 ^7Draw_CachePic: failed to load gfx/crosshair19
^7Draw_CachePic: failed to load gfx/crosshair20 ^7Draw_CachePic: failed
to load gfx/crosshair21 ^7Draw_CachePic: failed to load gfx/crosshair22
^7Draw_CachePic: failed to load gfx/crosshair23 ^7Draw_CachePic: failed
to load gfx/crosshair24 ^7Draw_CachePic: failed to load gfx/crosshair25
^7Draw_CachePic: failed to load gfx/crosshair26 ^7Draw_CachePic: failed
to load gfx/crosshair27 ^7Draw_CachePic: failed to load gfx/crosshair28
^7Draw_CachePic: failed to load gfx/crosshair29 ^7Draw_CachePic: failed
to load gfx/crosshair30 ^7Draw_CachePic: failed to load gfx/crosshair31
^7Draw_CachePic: failed to load gfx/crosshair32 ^7Draw_CachePic: failed
to load gfx/complete ^7Draw_CachePic: failed to load gfx/inter
^7Draw_CachePic: failed to load gfx/finale ^7SndSys_Init: using the SDL
module ^7Sound format: 48000Hz, 2 channels, 16 bits per sample ^7Found
0 cdrom drives. ^7CDAudio_Init: No CD in player. ^7Can't get initial CD
volume ^7CD Audio Initialized ^7Draw_CachePic: failed to load
gfx/m_white ^7DrawQ_ResetClipArea: not in 2d rendering stage! ^7No CD
in player. ^7Client using port 0 ^7Client opened a socket on address
local:2 ^7Client opened a socket on address 0.0.0.0:32803
^7scripts/common.shader parsing warning: unknown surfaceparm "hint"
^7scripts/common.shader parsing warning: unknown surfaceparm "dust"
^7scripts/common.shader parsing warning: unknown surfaceparm "botclip"
^7scripts/common.shader parsing warning: unknown surfaceparm
"lightgrid" ^7maps/downer.bsp: could not load texture for missing
shader "noshader" ^7Server using port 26000 ^7Server listening on
address local:1 ^7Server listening on address 0.0.0.0:26000 ^7Loaded
maps/downer.ent ^7 ^7Trying to connect... ^7"challenge EZClk_>2#Z+"
received, sending connect request back to local:1 ^7Got challenge
response ^7"challenge EZClk_>2#Z+" received, sending connect request
back to local:1 ^7Got challenge response ^7Accepted ^7 ^7Connection
accepted to local:1 ^7<-- server to client keepalive
^7
^7Server: Nexuiz build 12:39:37 Sep  4 2006 (progs 42255 crc)
^7
^7<===================================>
^7
^7^3Downer
^7CDAudio: Bad track number 0.
^7Player entered the game
^7No CD in player.
^7^1autoswitch turned on
^7You got the ^2Mortar
[New Thread -1639441488 (LWP 10683)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1480852928 (LWP 10678)]
r300_setup_textures (ctx=0xad29a80) at r300_state.c:1240
	in r300_state.c
(gdb) #0  r300_setup_textures (ctx=0xad29a80) at r300_state.c:1240
#1  0xa6eb28fd in r300UpdateShaderStates (rmesa=0xad1fb70) at
r300_state.c:1765 #2  0xa6ea801a in radeonDrawRangeElements (mode=4,
min=6771, max=6775, count=6, type=5125, c_indices=0x9c82c330) at
radeon_vtxfmt_a.c:485 #3  0xa70d551c in glDrawRangeElements (mode=4,
start=6771, end=6775, count=6, type=5125, indices=0x9c82c330)
at ../../../src/mesa/glapi/glapitemp.h:1868 #4  0x08094112 in ?? ()
#5  0x00000004 in ?? ()
#6  0x00001a73 in ?? ()
#7  0x00001a77 in ?? ()
#8  0x00000006 in ?? ()
#9  0x00001405 in ?? ()
#10 0x9c82c330 in ?? ()
#11 0x0000085f in ?? ()
#12 0xafcb5c2c in ?? ()
#13 0x00000b79 in ?? ()
#14 0x00000006 in ?? ()
#15 0x9c82c330 in ?? ()
#16 0x00000002 in ?? ()
#17 0x00000004 in ?? ()
#18 0x00001a73 in ?? ()
#19 0x00000865 in ?? ()
#20 0x0c5752b4 in ?? ()
#21 0x00000001 in ?? ()
#22 0x00000000 in ?? ()
(gdb) 



Message sent on to Armin Berres <trigger+debian@space-based.de>:
Bug#391952. Full text and rfc822 format available.

Message #40 received at 391952-submitter@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Wolfgang Köbler <wolfgang@koebler.com>, 391952-submitter@bugs.debian.org
Subject: Re: Bug#391952: The r300 driver causes a SIGSEV while running nexuiz.
Date: Mon, 27 Nov 2006 12:14:35 +0100
On Sun, 2006-11-26 at 16:22 +0100, Wolfgang Köbler wrote:
> 
> I also can reproduce this bug.
> 
> The r300 driver causes a SIGSEV while running nexuiz.
> This bug is 100% reproduceable by shooting the weapon Mortar
> (just before the explosion).

Please report this upstream at http://bugs.freedesktop.org , product
Mesa, component Drivers/DRI/r300.


-- 
Earthling Michel Dänzer           |          http://tungstengraphics.com
Libre software enthusiast         |          Debian, X and DRI developer



Information forwarded to debian-bugs-dist@lists.debian.org, Mesa package maintainers <pkg-mesa-devel@lists.alioth.debian.org>:
Bug#391952; Package libgl1-mesa-dri. Full text and rfc822 format available.

Acknowledgement sent to 391952@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Mesa package maintainers <pkg-mesa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #45 received at 391952@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Armin Berres <trigger+debian@space-based.de>, "Goneri Le Bouder" <goneri@rulezlan.org>, Wolfgang Köbler <wolfgang@koebler.com>
Cc: 391952@bugs.debian.org
Subject: Bug#391952: nexuiz: Nexuiz always segfaults
Date: Wed, 28 Feb 2007 02:16:34 +0100
forwarded 391952 https://bugs.freedesktop.org/show_bug.cgi?id=9170
thank you



Hi,

I am marking this bug as forwarded upstream. There has not been any
reply to the upstream bug so far. But, we could improve the information
given in this bug, especially with a full backtrace with debugging enabled.

Could you people try to reproduce this bug with mesa 6.5.2-3 (currently
in experimental)?
If the bug still occurs, we'll need to get a full backtrace. Installing
libgl1-mesa-dri-dbg and running your favorite crashing application in
gdb should help. It might be way easier to debug then.

Thanks,
Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Mesa package maintainers <pkg-mesa-devel@lists.alioth.debian.org>:
Bug#391952; Package libgl1-mesa-dri. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Köbler <wolfgang@koebler.com>:
Extra info received and forwarded to list. Copy sent to Mesa package maintainers <pkg-mesa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #50 received at 391952@bugs.debian.org (full text, mbox):

From: Wolfgang Köbler <wolfgang@koebler.com>
To: 391952@bugs.debian.org
Subject: The r300 driver causes a SIGSEV while running nexuiz.
Date: Wed, 28 Feb 2007 21:29:14 +0100
Here are additional infos about the bug:
0. I have not (yet) tried current mesa git.
1. I upgraded my debian mesa to experimental, which has version 6.5.2-3,
   including libgl1-mesa-dri-dbg
2. I reproduced the bug with the new versions
3. I included info about nexuiz config
4. I included info about how I ran gdb
5. I included the gdb output, including full backtrace

I hope it helps (and you do not get lost in the 400-something lines).

==========================================================================
about 1.
--------------------------------------------------------------------------
$ dpkg -l \*mesa\* libdrm2 \*nexuiz\* xserver-xorg|grep ^ii
ii  libdrm2               2.3.0-1        Userspace interface to kernel
ii  libgl1-mesa-dev       6.5.2-3        A free implementation of the 
ii  libgl1-mesa-dri       6.5.2-3        A free implementation of the 
ii  libgl1-mesa-dri-dbg   6.5.2-3        A free implementation of the 
ii  libgl1-mesa-glx       6.5.2-3        A free implementation of the 
ii  libglu1-mesa          6.5.2-3        The OpenGL utility library (G
ii  libglu1-mesa-dev      6.5.2-3        The OpenGL utility library --
ii  mesa-common-dev       6.5.2-3        Developer documentation for M
ii  mesa-utils            6.5.2-3        Miscellaneous Mesa GL utiliti
ii  nexuiz                2.2.1-1        A fast-paced 3D Ego-Shooter
ii  nexuiz-data           2.2.1-1        Nexuiz game data files
ii  xserver-xorg          7.1.0-12       the X.Org X server
==========================================================================
about 3.
--------------------------------------------------------------------------

https://bugs.freedesktop.org/show_bug.cgi?id=9170
> You might want to provide a little more information;
> what is enabled or disabled with the settings "high" and "low"?
high:
- no .nexuiz directory
- alternative: .nexuiz-high as .nexuiz (see below)
low:
- .nexuiz-low as .nexuiz (see below)

--------------------------------------------------------------------------
$ diff -Naur .nexuiz-high/data/config.cfg .nexuiz-low/data/config.cfg
--- .nexuiz-high/data/config.cfg        2007-02-28 19:23:55.000000000
+0100 +++ .nexuiz-low/data/config.cfg 2007-02-28 19:22:12.000000000
+0100 @@ -63,3 +63,15 @@
 bind "MWHEELDOWN" "weapprev"
 bind "MOUSE4" "weaplast"
 bind "MOUSE5" "+hook"
+cl_decals "0"
+cl_particles_quality "0.100000"
+seta g_campaign_index "6"
+gl_picmip "4"
+r_coronas "0"
+r_glsl_deluxemapping "0"
+r_shadow_realtime_dlight "0"
+r_shadow_realtime_world_shadows "0"
+showfps "1"
+vid_bitsperpixel "16"
+vid_height "480"
+vid_width "640"

--------------------------------------------------------------------------
..nexuiz-high/data/config.cfg :

bind "TAB" "+showscores"
bind "ENTER" "+jump"
bind "ESCAPE" "togglemenu"
bind "SPACE" "+jump"
bind "-" "sizedown"
bind "0" "impulse 210"
bind "1" "impulse 1"
bind "2" "impulse 2"
bind "3" "impulse 3"
bind "4" "impulse 4"
bind "5" "impulse 5"
bind "6" "impulse 6"
bind "7" "impulse 7"
bind "8" "impulse 8"
bind "9" "impulse 9"
bind "=" "sizeup"
bind "`" "toggleconsole"
bind "a" "+moveleft"
bind "d" "+moveright"
bind "e" "+hook"
bind "i" "+show_info"
bind "r" "messagemode2"
bind "s" "+back"
bind "t" "messagemode"
bind "w" "+forward"
bind "y" "messagemode2"
bind "~" "toggleconsole"
bind "BACKSPACE" "dropweapon"
bind "UPARROW" "+forward"
bind "DOWNARROW" "+back"
bind "LEFTARROW" "+moveleft"
bind "RIGHTARROW" "+moveright"
bind "SHIFT" "+crouch"
bind "F1" "vyes"
bind "F2" "vno"
bind "F3" "spec"
bind "F4" "ready"
bind "F5" "menu_showteamselect"
bind "F10" "quit"
bind "F11" "disconnect"
bind "F12" "screenshot"
bind "PAUSE" "pause"
bind "KP_INS" "messagemode"
bind "KP_END" "say_team quad soon (h:%h a:%a w:%w l:%l)"
bind "KP_DOWNARROW" "say_team item free x:%x (h:%h a:%a w:%w l:%l)"
bind "KP_PGDN" "say_team took item (h:%h a:%a w:%w l:%l)"
bind "KP_LEFTARROW" "say_team negative (h:%h a:%a w:%w l:%l)"
bind "KP_5" "say_team help me (h:%h a:%a w:%w l:%l)"
bind "KP_RIGHTARROW" "say_team incoming (h:%h a:%a w:%w l:%l)"
bind "KP_HOME" "say_team defending (h:%h a:%a w:%w l:%l)"
bind "KP_UPARROW" "say_team roaming (h:%h a:%a w:%w l:%l)"
bind "KP_PGUP" "say_team attacking (h:%h a:%a w:%w l:%l)"
bind "KP_DEL" "messagemode2"
bind "KP_SLASH" "say_team dropped flag (h:%h a:%a w:%w l:%l)"
bind "KP_MULTIPLY" "say_team killed flagcarrier (h:%h a:%a w:%w l:%l)"
bind "KP_MINUS" "say hi / good luck and have fun"
bind "KP_PLUS" "say good game"
bind "KP_ENTER" "say :-) / nice one"
bind "MOUSE1" "+attack"
bind "MOUSE2" "+attack2"
bind "MOUSE3" "+zoom"
bind "MWHEELUP" "weapnext"
bind "MWHEELDOWN" "weapprev"
bind "MOUSE4" "weaplast"
bind "MOUSE5" "+hook"

--------------------------------------------------------------------------
..nexuiz-low/data/config.cfg :

bind "TAB" "+showscores"
bind "ENTER" "+jump"
bind "ESCAPE" "togglemenu"
bind "SPACE" "+jump"
bind "-" "sizedown"
bind "0" "impulse 210"
bind "1" "impulse 1"
bind "2" "impulse 2"
bind "3" "impulse 3"
bind "4" "impulse 4"
bind "5" "impulse 5"
bind "6" "impulse 6"
bind "7" "impulse 7"
bind "8" "impulse 8"
bind "9" "impulse 9"
bind "=" "sizeup"
bind "`" "toggleconsole"
bind "a" "+moveleft"
bind "d" "+moveright"
bind "e" "+hook"
bind "i" "+show_info"
bind "r" "messagemode2"
bind "s" "+back"
bind "t" "messagemode"
bind "w" "+forward"
bind "y" "messagemode2"
bind "~" "toggleconsole"
bind "BACKSPACE" "dropweapon"
bind "UPARROW" "+forward"
bind "DOWNARROW" "+back"
bind "LEFTARROW" "+moveleft"
bind "RIGHTARROW" "+moveright"
bind "SHIFT" "+crouch"
bind "F1" "vyes"
bind "F2" "vno"
bind "F3" "spec"
bind "F4" "ready"
bind "F5" "menu_showteamselect"
bind "F10" "quit"
bind "F11" "disconnect"
bind "F12" "screenshot"
bind "PAUSE" "pause"
bind "KP_INS" "messagemode"
bind "KP_END" "say_team quad soon (h:%h a:%a w:%w l:%l)"
bind "KP_DOWNARROW" "say_team item free x:%x (h:%h a:%a w:%w l:%l)"
bind "KP_PGDN" "say_team took item (h:%h a:%a w:%w l:%l)"
bind "KP_LEFTARROW" "say_team negative (h:%h a:%a w:%w l:%l)"
bind "KP_5" "say_team help me (h:%h a:%a w:%w l:%l)"
bind "KP_RIGHTARROW" "say_team incoming (h:%h a:%a w:%w l:%l)"
bind "KP_HOME" "say_team defending (h:%h a:%a w:%w l:%l)"
bind "KP_UPARROW" "say_team roaming (h:%h a:%a w:%w l:%l)"
bind "KP_PGUP" "say_team attacking (h:%h a:%a w:%w l:%l)"
bind "KP_DEL" "messagemode2"
bind "KP_SLASH" "say_team dropped flag (h:%h a:%a w:%w l:%l)"
bind "KP_MULTIPLY" "say_team killed flagcarrier (h:%h a:%a w:%w l:%l)"
bind "KP_MINUS" "say hi / good luck and have fun"
bind "KP_PLUS" "say good game"
bind "KP_ENTER" "say :-) / nice one"
bind "MOUSE1" "+attack"
bind "MOUSE2" "+attack2"
bind "MOUSE3" "+zoom"
bind "MWHEELUP" "weapnext"
bind "MWHEELDOWN" "weapprev"
bind "MOUSE4" "weaplast"
bind "MOUSE5" "+hook"
cl_decals "0"
cl_particles_quality "0.100000"
seta g_campaign_index "6"
gl_picmip "4"
r_coronas "0"
r_glsl_deluxemapping "0"
r_shadow_realtime_dlight "0"
r_shadow_realtime_world_shadows "0"
showfps "1"
vid_bitsperpixel "16"
vid_height "480"
vid_width "640"
==========================================================================
about 4.

run via
$ cd /usr/share/games/nexuiz
$ gdb /usr/lib/games/nexuiz/nexuiz.bin < ~/cmd.txt > ~/result.txt 2>&1

with this cmd.txt:
--------------------------------------------------------------------------
run
bt full
quit
==========================================================================
about 5.: result.txt

GNU gdb 6.4.90-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are welcome to change it and/or distribute copies of it under
certain conditions. Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details. This GDB was configured as "i486-linux-gnu"...(no debugging
symbols found) Using host libthread_db library
"/lib/tls/i686/cmov/libthread_db.so.1".

(gdb) Starting program: /usr/lib/games/nexuiz/nexuiz.bin 
Failed to read a valid object file image from memory.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
Console initialized.
Nexuiz Linux 21:53:49 Dec 14 2006
[Thread debugging using libthread_db enabled]
[New Thread -1212040640 (LWP 10197)]
(no debugging symbols found)
Trying to load library... "libz.so.1" - loaded.
Compressed files support enabled
Added packfile data/data20061212.pk3 (2875 files)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
Trying to load library... "libcurl.so.3" - loaded.
cURL support enabled
Initializing client
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
Failed to init SDL joystick subsystem: 
(no debugging symbols found)
(no debugging symbols found)
Trying to load library... "libvorbis.so.0" - loaded.
(no debugging symbols found)
Trying to load library... "libvorbisfile.so.3" - loaded.
Ogg Vorbis support enabled
couldn't exec data/campaign.cfg
couldn't exec autoexec.cfg
Starting video system
Video: fullscreen 800x600x32x60hz
Linked against SDL version 1.2.11
Using SDL library version 1.2.11
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
checking for OpenGL 1.1.0...  enabled
GL_VENDOR: Tungsten Graphics, Inc.
GL_RENDERER: Mesa DRI R300 20060815 x86/MMX+/3DNow!+/SSE2 TCL
GL_VERSION: 1.3 Mesa 6.5.2
GL_EXTENSIONS: GL_ARB_fragment_program GL_ARB_imaging
GL_ARB_multisample GL_ARB_multitexture GL_ARB_texture_border_clamp
GL_ARB_texture_compression GL_ARB_texture_cube_map
GL_ARB_texture_env_add GL_ARB_texture_env_combine
GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3
GL_MESAX_texture_float GL_ARB_texture_mirrored_repeat
GL_ARB_texture_rectangle GL_ARB_transpose_matrix
GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_window_pos
GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color
GL_EXT_blend_equation_separate GL_EXT_blend_func_separate
GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_clip_volume_hint
GL_EXT_compiled_vertex_array GL_EXT_convolution GL_EXT_copy_texture
GL_EXT_draw_range_elements GL_EXT_gpu_program_parameters
GL_EXT_histogram GL_EXT_packed_pixels GL_EXT_polygon_offset
GL_EXT_rescale_normal GL_EXT_secondary_color
GL_EXT_separate_specular_color GL_EXT_stencil_wrap GL_EXT_subtexture
GL_EXT_texture GL_EXT_texture3D GL_EXT_texture_edge_clamp
GL_EXT_texture_env_add GL_EXT_texture_env_combine
GL_EXT_texture_env_dot3 GL_EXT_texture_filter_anisotropic
GL_EXT_texture_lod_bias GL_EXT_texture_mirror_clamp
GL_EXT_texture_object GL_EXT_texture_rectangle GL_EXT_vertex_array
GL_APPLE_packed_pixels GL_ATI_blend_equation_separate
GL_ATI_texture_env_combine3 GL_ATI_texture_mirror_once
GL_IBM_rasterpos_clip GL_IBM_texture_mirrored_repeat
GL_INGR_blend_func_separate GL_MESA_pack_invert GL_MESA_ycbcr_texture
GL_MESA_window_pos GL_NV_blend_square GL_NV_light_max_exponent
GL_NV_texture_rectangle GL_NV_texgen_reflection GL_NV_vertex_program
GL_OES_read_format GL_SGI_color_matrix GL_SGI_color_table
GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp
GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod SDL_EXTENSIONS: Checking
OpenGL extensions... checking for glDrawRangeElements...  enabled
checking for GL_ARB_multitexture...  enabled checking for
GL_ARB_texture_env_combine...  enabled checking for
GL_ARB_texture_env_dot3...  enabled checking for GL_EXT_texture3D...
enabled checking for GL_ARB_texture_cube_map...  enabled checking for
GL_EXT_compiled_vertex_array...  enabled checking for
GL_EXT_texture_edge_clamp...  enabled checking for
GL_EXT_texture_filter_anisotropic...  enabled checking for
GL_EXT_stencil_two_side...  not detected checking for
GL_ARB_shader_objects...  not detected 0 SDL joystick(s) found: OpenGL
Backend starting... glDrawRangeElements detected (max vertices 3000,
max indices 3000) multitexture detected: texture units = 8 OpenGL
backend started. Trying to load library... "libjpeg.so.62" - loaded.
JPEG support enabled Trying to load library... "libpng12.so.0" -
loaded. PNG support enabled Draw_CachePic: failed to load gfx/complete
Draw_CachePic: failed to load gfx/inter Draw_CachePic: failed to load
gfx/finale SndSys_Init: using the SDL module Sound format: 48000Hz, 2
channels, 16 bits per sample Found 0 cdrom drives. CDAudio_Init: No CD
in player. Can't get initial CD volume CD Audio Initialized
Draw_CachePic: failed to load gfx/m_white No CD in player. Client using
port 0 Client opened a socket on address local:2 Client opened a socket
on address 0.0.0.0:32770 maps/downer.bsp: could not load texture for
missing shader "noshader" Server using port 26000 Server listening on
address local:1 Server listening on address 0.0.0.0:26000 Loaded
maps/downer.ent

Trying to connect...
"challenge `xu&N.Yp['r" received, sending connect request back to
local:1 Got challenge response
"challenge `xu&N.Yp['r" received, sending connect request back to
local:1 Got challenge response
Accepted

Connection accepted to local:1
<-- server to client keepalive

Server: Nexuiz build 21:53:49 Dec 14 2006 (progs 13480 crc)

<===================================>

Downer
CDAudio: Bad track number 0.
Player entered the game
No CD in player.
autoswitch turned on
You got the Mortar
[New Thread -1370727504 (LWP 10200)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1212040640 (LWP 10197)]
r300_setup_textures (ctx=0x12c4e538) at r300_state.c:1240
1240	r300_state.c: No such file or directory.
	in r300_state.c
(gdb) #0  r300_setup_textures (ctx=0x12c4e538) at r300_state.c:1240
	i = 2
	mtu = 8
	t = (struct r300_tex_obj *) 0x0
	r300 = (r300ContextPtr) 0x12c44628
	hw_tmu = 2
	last_hw_tmu = 1
	tmu_mappings = {0, 1, 0, 0, 0, 0, 0, 0}
	__FUNCTION__ = "r300_setup_textures"
	__PRETTY_FUNCTION__ = "r300_setup_textures"
	warn__LINE__ = 1
	warn__LINE__ = 1
	warn__LINE__ = 1
#1  0xb6f2e779 in r300UpdateShaderStates (rmesa=0x12c44628)
    at r300_state.c:1765
	ctx = (GLcontext *) 0x12c4e538
#2  0xb6f242a5 in radeonDrawRangeElements (mode=4, min=2333, max=2337, 
    count=6, type=5125, c_indices=0xac8ea3f8) at radeon_vtxfmt_a.c:485
	rmesa = (r300ContextPtr) 0x12c44628
	prim = {mode = 2929, start = 2129, count = 2135}
	elt_size = 2
	i = <value optimized out>
	ptr = (void *) 0xae957170
	rvb = {buf = 0x140f4ff0, address = 0xae8b7000 "\002", start =
655728, end = 655740, ptr = 655728, aos_offset = -129359504, aos_stride
= 0, aos_size = 0, aos_reg = 0}
	indices = (const GLvoid *) 0xac8ea3f8
	__FUNCTION__ = "radeonDrawRangeElements"
	warn__LINE__ = 1
	warn__LINE__ = 1
#3  0x08095162 in ?? ()
No symbol table info available.
#4  0x00000004 in ?? ()
No symbol table info available.
#5  0x0000091d in ?? ()
No symbol table info available.
#6  0x00000921 in ?? ()
No symbol table info available.
#7  0x00000006 in ?? ()
No symbol table info available.
#8  0x00001405 in ?? ()
No symbol table info available.
#9  0xac8ea3f8 in ?? ()
No symbol table info available.
#10 0x0000084d in ?? ()
No symbol table info available.
#11 0x00000004 in ?? ()
No symbol table info available.
#12 0x0000091d in ?? ()
No symbol table info available.
#13 0x00000006 in ?? ()
No symbol table info available.
#14 0xac8ea3f8 in ?? ()
No symbol table info available.
#15 0x00000002 in ?? ()
No symbol table info available.
#16 0x00000004 in ?? ()
No symbol table info available.
#17 0x0000091d in ?? ()
No symbol table info available.
#18 0x0000084d in ?? ()
No symbol table info available.
#19 0x14504724 in ?? ()
No symbol table info available.
#20 0x00000001 in ?? ()
No symbol table info available.
#21 0x00000000 in ?? ()
No symbol table info available.
(gdb) 
==========================================================================



Noted your statement that Bug has been forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=9170. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#391952; Package libgl1-mesa-dri. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Köbler <wolfgang@koebler.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 391952@bugs.debian.org (full text, mbox):

From: Wolfgang Köbler <wolfgang@koebler.com>
To: control@bugs.debian.org, 391952@bugs.debian.org
Subject: bug 391952 is fixed upstream
Date: Sat, 28 Apr 2007 10:23:12 +0200
tag 391952 fixed-upstream
thank you

A workaround for this bug has been included in brand-new Mesa 6.5.3 .



Tags added: fixed-upstream Request was from Wolfgang Köbler <wolfgang@koebler.com> to control@bugs.debian.org. (Sat, 28 Apr 2007 08:30:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#391952; Package libgl1-mesa-dri. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #64 received at 391952@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Wolfgang Köbler <wolfgang@koebler.com>, 391952@bugs.debian.org
Subject: Re: Bug#391952: bug 391952 is fixed upstream
Date: Sat, 28 Apr 2007 10:55:09 +0200
Wolfgang Köbler wrote:
> tag 391952 fixed-upstream
> thank you
>
> A workaround for this bug has been included in brand-new Mesa 6.5.3 .
>   


Right, thank you. Mesa 6.5.3-rc3 is currently waiting in the NEW queue
(because some packages have been split). Once it is done (within a
couple weeks), we'll upload 6.5.3 right away.

Also, note that when a but is forwarded upstream, there's no need to tag
it as fixed-upstream, we have automatic scripts to do so (takes a couple
days usually).

Cheers,
Brice




Reply sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Armin Berres <trigger+debian@space-based.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #69 received at 391952-done@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: 391952-done@bugs.debian.org
Subject: Bug#391952: nexuiz: Nexuiz always segfaults
Date: Mon, 21 May 2007 20:44:04 +0200
Version: 6.5.3-1

Fixed in Mesa 6.5.3, currently in experimental.

Brice




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Sep 2007 07:35:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:56:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.